## net.sf.saxon.regex
Class SurrogateRegexTranslator.SingleChar

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
          net.sf.saxon.regex.SurrogateRegexTranslator.SingleChar

Enclosing class:
  SurrogateRegexTranslator

    public static class SurrogateRegexTranslator.SingleChar

extends SurrogateRegexTranslator.SimpleCharClass

Character class that matches a single specific character in the BMP

Constructor Summary
`SurrogateRegexTranslator.SingleChar(char c)`

Method Summary
`int` `getSingleChar()` If this character class contains a single character, get that character
`void` `inClassOutputBmp(FastStringBuffer buf)`
`void` `outputBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's within the BMP, to a supplied buffer

Methods inherited from class net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
`outputComplementBmp`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurrogateRegexTranslator.SingleChar

    public SurrogateRegexTranslator.SingleChar(char c)

Method Detail

### getSingleChar

    public int getSingleChar()

  If this character class contains a single character, get that character

  Returns:
    the single character matched by this character class, or -1 if it matches multiple characters

### outputBmp

    public void outputBmp(FastStringBuffer buf)

  Output a representation of the subset of this character class that's within the BMP, to a supplied buffer

  Overrides:
    `outputBmp` in class `SurrogateRegexTranslator.SimpleCharClass`
  Parameters:
    `buf` - the supplied buffer

### inClassOutputBmp

    public void inClassOutputBmp(FastStringBuffer buf)

  Specified by:
    `inClassOutputBmp` in class `SurrogateRegexTranslator.SimpleCharClass`

Copyright (C) Michael H. Kay. All rights reserved.